# Algorithms_in_C++: Node Class Reference

Loading...
Searching...
No Matches
Node Class Reference
Collaboration diagram for Node:
[legend]

## Public Member Functions

| Node (int v, Node *n)

## Public Attributes

int | data
int | next
int | val
Node * | next

## Constructor & Destructor Documentation

## Node()

Node::Node | ( | int | v,
|  | Node * | n
| ) |  |

inline

: val(v), next(n) {} // Default constructor for Node

The documentation for this class was generated from the following files:

- data_structures/linkedlist_implentation_usingarray.cpp
- operations_on_datastructures/get_size_of_linked_list.cpp